"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NobleBLEAdapter = void 0;
const common_1 = require("@iotize/tap/protocol/ble/common");
const adapters_1 = require("./adapters");
class NobleBLEAdapter extends common_1.UniversalBleProtocolAdapter {
    constructor(peripheral) {
        super(new adapters_1.PeripheralAdapter(peripheral));
        this.bleOptions.sanitizeUUID = true;
        this.bleOptions.waitForWriteAcknowledge = false;
    }
}
exports.NobleBLEAdapter = NobleBLEAdapter;
//# sourceMappingURL=noble-ble-protocol-adapter.js.map